Package com.google.protobuf

# Enum Class GeneratedMessageLite.MethodToInvoke

java.lang.Object
java.lang.Enum<GeneratedMessageLite.MethodToInvoke>
com.google.protobuf.GeneratedMessageLite.MethodToInvoke

All Implemented Interfaces:
  `Serializable`, `Comparable<GeneratedMessageLite.MethodToInvoke>`, `Constable`

Enclosing class:
  `GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>`

public static enum GeneratedMessageLite.MethodToInvoke extends Enum<GeneratedMessageLite.MethodToInvoke>
Defines which method path to invoke in `#dynamicMethod(MethodToInvoke, Object...)`.

For use by generated code only.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BUILD_MESSAGE_INFO`
`GET_DEFAULT_INSTANCE`
`GET_MEMOIZED_IS_INITIALIZED`
`GET_PARSER`
`NEW_BUILDER`
`NEW_MUTABLE_INSTANCE`
`SET_MEMOIZED_IS_INITIALIZED`

## Method Summary

Modifier and Type
Method
Description
`static GeneratedMessageLite.MethodToInvoke`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GeneratedMessageLite.MethodToInvoke[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GET_MEMOIZED_IS_INITIALIZED

public static final GeneratedMessageLite.MethodToInvoke GET_MEMOIZED_IS_INITIALIZED

### SET_MEMOIZED_IS_INITIALIZED

public static final GeneratedMessageLite.MethodToInvoke SET_MEMOIZED_IS_INITIALIZED

### BUILD_MESSAGE_INFO

public static final GeneratedMessageLite.MethodToInvoke BUILD_MESSAGE_INFO

### NEW_MUTABLE_INSTANCE

public static final GeneratedMessageLite.MethodToInvoke NEW_MUTABLE_INSTANCE

### NEW_BUILDER

public static final GeneratedMessageLite.MethodToInvoke NEW_BUILDER

### GET_DEFAULT_INSTANCE

public static final GeneratedMessageLite.MethodToInvoke GET_DEFAULT_INSTANCE

### GET_PARSER

public static final GeneratedMessageLite.MethodToInvoke GET_PARSER

## Method Details

### values

public static GeneratedMessageLite.MethodToInvoke[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GeneratedMessageLite.MethodToInvoke valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null